-- 系统项
-- 0 - disable debug info, 1 - less debug info, 2 - verbose debug info
DEBUG = 0
DEBUG_FPS = false
DEBUG_MEM = false

-- design resolution
CONFIG_SCREEN_WIDTH  = 960
CONFIG_SCREEN_HEIGHT = 640

-- auto scale mode
CONFIG_SCREEN_AUTOSCALE = "FIXED_HEIGHT"


-- 自定义key项
-- 用户的id 
-- 1为熊二、2为熊大、3为光头强
KEY_PLAYER_ID = "key_player_id"

-- 记录道具的个数
-- 1为炸弹、2为汉堡包、3为时间
KEY_TOOL_D = "key_tool_d"

-- 记录每个场景挑战到的关卡数
KEY_CURRENT_LEVEL_SCENE_D = "key_current_level_scene_d"

-- 记录角色开启到第几个
KEY_PLAYER_ENABLE_INDEX = "key_player_enable_index"

-- 记录场景开启到第几个
KEY_SCENE_ENABLE_INDEX = "key_scene_enable_index"

-- 记录总金币个数
KEY_TOTAL_GOLD_NUMBER = "key_total_gold_number"


-- 资源项
-- 加载index_ui的资源
RES_INDEX_UI_FILE = "img/index_ui.plist"
RES_INDEX_UI_IMAGE = "img/index_ui.pvr.ccz"

-- 加载game_ui的资源
RES_MAIN_UI_FILE = "img/game_ui.plist"
RES_MAIN_UI_IMAGE = "img/game_ui.pvr.ccz"

-- 加载fish_ui的资源
RES_FISH_UI_FILE = "img/fish_ui.plist"
RES_FISH_UI_IMAGE = "img/fish_ui.pvr.ccz"

-- 加载字体资源
TEXT_FNT = "fnt/game_text.fnt"
NUMBER_FNT = "fnt/number_txt.fnt"


-- 声音资源项
-- 音效
GAME_SFX = {
    button = "sound/button.WAV",
    fishFly = "sound/fish_fly.wav",
    fishInBarrel = "sound/fish_in_barrel.wav",
    hookBack = "sound/hook_back.wav",
    hookInWater = "sound/hook_in_water.wav",
    hookOutWater = "sound/hook_out_water.wav",
    p12Laugh = "sound/p12_laugh.wav",
    p3Laugh = "sound/p3_laugh.wav",
    boom = "sound/boom.wav",
    screech = "sound/screech.wav",
    fail = "sound/challenge_fail.wav",
    win = "sound/challenge_win.wav",
}

-- 背景音乐
BG_MUSIC = {
	"sound/bg1.mp3",
	"sound/bg2.mp3",
	"sound/bg3.mp3",
	"sound/bg4.mp3",
}
