local DGate = {}

local targetScoreTable = {
	{
		70,
		90,
		110,
		130,
		150,
		170,
		190,
		210,
		230,
		250,
		270,
		290,
		310,
		330,
		350,
		370,
		390,
		410,
		430,
		450,
	},
	{
		340,
		380,
		420,
		460,
		500,
		540,
		580,
		620,
		660,
		700,
		740,
		780,
		820,
		860,
		900,
		940,
		980,
		1020,
		1060,
		1100,
	},
	{
		350,
		390,
		430,
		470,
		510,
		550,
		590,
		630,
		670,
		710,
		750,
		790,
		830,
		870,
		910,
		950,
		990,
		1030,
		1070,
		1110,
	},
	{
		360,
		400,
		440,
		480,
		520,
		560,
		600,
		640,
		680,
		720,
		760,
		800,
		840,
		880,
		920,
		960,
		1000,
		1040,
		1080,
		1120,
	},
}

-- 通过场景索引和当前关获取目标分数
function DGate.getTargetScore( sceneIndex, Level )
    assert(sceneIndex >= 1 and sceneIndex <= 4, string.format("DGate.getTargetScore() - invalid sceneIndex %s", tostring(sceneIndex)))
    assert(Level >= 1 and Level <= 20, string.format("DGate.getTargetScore() - invalid Level %s", tostring(Level)))
    return clone(targetScoreTable[sceneIndex][Level])
end

return DGate