local ConditionDialog = class("ConditionDialog", function()
    return display.newLayer()
end)

function ConditionDialog:ctor(sceneIndex, levelIndex)
	local content = display.newSprite("#condition_bg.png", display.cx, display.cy):addTo(self)

	local w = content:getContentSize().width
	local h = content:getContentSize().height

	local targetScore = D_GATE.getTargetScore(sceneIndex, levelIndex)
	ui.newBMFontLabel({
        text  = tostring("得分: " .. targetScore .. "分"), 
        x     = w*0.5, 
        y     = h*0.5 - 30, 
        align = ui.TEXT_ALIGN_CENTER,
        font  = TEXT_FNT}):addTo(content)

	content:setScale(0)
    local actions = CCArray:create()
    actions:addObject(CCDelayTime:create(0.5))
    actions:addObject(CCScaleTo:create(0.2, 1.2))
    actions:addObject(CCScaleTo:create(0.1, 1))
    actions:addObject(CCDelayTime:create(1.5))
    actions:addObject(CCScaleTo:create(0.2, 0.2))
    actions:addObject(CCCallFunc:create(function()
    	self:getParent():fishishPopupPCD()
        self:removeSelf(true)
    end))
    content:runAction(CCSequence:create(actions))
end

return ConditionDialog