--
-- Author: Yiqiong Shi
-- Date: 2013-12-02 16:26:09
--
local SPoint = class("SPoint", function()
    return display.newSprite("#tip.png")
end)

function SPoint:ctor()
    local function onInterval(dt)
    	if self.hook == nil then 
    		self.hook = self:getParent():getParent().hook
    	end
		if (self.hook.state == 2 or self.hook.state == 3)
			and self.hook:boundingBox()
			:intersectsRect(self:boundingBox())
			then 
				self:removeFromParentAndCleanup(true)
		end
    end
    self:scheduleUpdate(onInterval)
end

return SPoint